> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Catalog Item Part Update



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/catalog-item-parts/{id}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-item-parts/{id}:
    patch:
      tags:
        - Catalog Item Part Update
      summary: Update Catalog Item Part Update
      operationId: CatalogItemPartUpdateController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCatalogItemPartDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CatalogItemPartResponseDto'
components:
  schemas:
    UpdateCatalogItemPartDto:
      type: object
      properties:
        quantity:
          type: string
          pattern: ^(?!0+(?:\.0{1,2})?$)\d{1,16}(?:\.0{1,2})?$
        partItemId:
          type: string
          pattern: ^[1-9]\d*$
        confirmRelease:
          type: boolean
      additionalProperties: false
    CatalogItemPartResponseDto:
      type: object
      properties:
        id:
          type: string
        itemId:
          type: string
        partItemId:
          type: string
        partItemName:
          type: string
        partFamilyId:
          type: string
        partFamilyName:
          type: string
        partFamilyType:
          type: string
          enum:
            - default
            - material
            - template
        primaryImageUrl:
          type: string
          nullable: true
        categoryName:
          type: string
        quantity:
          type: string
        createdAt:
          type: string
      required:
        - id
        - itemId
        - partItemId
        - partItemName
        - partFamilyId
        - partFamilyName
        - partFamilyType
        - primaryImageUrl
        - categoryName
        - quantity
        - createdAt

````